About Remote Backup

Welcome to Remote Backup - version 12 - Advanced Interface

[Display Documentation for Simple Interface]

Remote Backup is the latest in a family of software and services that founded and defined the Remote Backup industry for microcomputers in 1987. It automatically backs up your critical computer files to a secure, off-site location, giving you the confidence and security big companies have enjoyed for decades.

Remote Backup runs on all Windows operating systems from Windows 2000 to the latest version, including Workstations and Servers, 32 bits and 64 bits. It runs in the background, and will not interfere with other programs you run. Through Remote Backup's simple and intuitive user interface, you can control which of your files are backed up, and on what schedule.

Remote Backup operates by defining Backup Sets, which are sets of files and a schedule for backing up those files. You can add new Backup Sets, Delete, Copy, and Save them. Backup Sets are automatically executed by Remote Backup according to their schedules.


How_Does_Remote_Backup_Work_htm

How Does Remote Backup Work

How Does Remote Backup Work?

Remote Backup works basically like regular data backup software, with one important difference. Instead of sending backups to a tape drive or other media attached to the computer it is backing up, Remote Backup sends the backup over the Internet, regular telephone lines or network connections to another computer safely offsite. It does this (usually) at night while your computers aren't being used.

It's completely automatic. In fact, you may even forget it's working. Most businesses put their lives on the line every night and don't realize it. With businesses depending more and more on the data stored in their computers, proper backups are becoming much more critical.

Remote Backup accomplishes several essential steps that are often overlooked or done improperly by other backup software - especially in the regular non-automated backup systems.

Backups are done on schedule. Most businesses don't do this. For one reason or another, they don't keep a regular backup regimen. Usually it's because the person responsible for doing backups (if there is one) is too busy doing something else, or someone is using the computer when it's time for a backup, or they simply forget. Since Remote Backups are done with automated software usually at night, when nobody is using the computer, backups are always done on schedule.

The correct files are backed up. Ordinary backup software is often installed with a list of files to be backed up. This set of files usually represents the state of the system when the software was installed, and often misses critical files. Further, it often fails to back up files that get added later. Compounding this problem, VERY few businesses take the trouble to reset their backup software regularly to include new files.

Remote Backup solves this problem by constantly reevaluating your computer system, adding files to the backup as needed. Multiple copies of files are stored using a sophisticated version control system unavailable in most other backup software of any kind. This is much too important to overlook.

The general definition of proper backups requires redundancy. One must keep multiple copies of the same files at different points in their development, called versions. As an example, you should have a different copy of each backed-up file for each backup session. Further, you should be able to easily restore any of your files up to any given point in time. Banks do it, big corporations do it, and so should small businesses. Only Remote Backup has such an easy to use version control system.

Backups are encrypted for complete security. Would you want someone to be able to slip one of your backup tapes into a pocket and take it to your competitor? It happens all the time. Tape backups are not generally encrypted, so anyone can read them and gain access to your client database, billing records, payroll, tax info, and everything else on your computer.

Remote Backup encrypts its backups for complete security so nobody, not even your RBS Service Provider can read your files. Finally and most importantly - Backups are immediately sent offsite and stored safely away from your computer and your business. This is where almost every business makes its biggest mistake. Even if you do everything else perfectly, your backups are of little use if your building burns, or you are unable to physically recover your tapes from the premises. Most small companies who do backups leave the tapes in the building with the computer, where they can be destroyed right along with the computer.

Of course, you can see that this would be a problem in a fire or flood or an earthquake. But it's also useful in emergencies where businesses are forced to evacuate their offices quickly. Even businesses that do backups and have good, undamaged tapes have to shut down. Many go out of business simply because they don't have access to their data.

Remote Backup solves this problem by automatically storing this valuable data at more than one site. So, a business can be back up and running with new computers and their latest data no matter what catastrophe happens.


Technical_Featureshtm

Technical Features

Technical Features

Remote Backup has many advanced features. It is the most mature product of its kind, the acknowledged industry leader. Remote Backup runs on all Windows operating systems from Windows 2000 to the latest version, including Workstations and Servers, 32 bits and 64 bits. It works with all networks, including Novell Netware and all Windows networks.

Exchange: Remote Backup backs up and restores Microsoft Exchange at the sub-mailbox folder level while Exchange is running. It also backs up and restores all other Exchange objects. For more information on backing up Exchange Server, see Exchange .

SQL Server: Remote Backup backs up and restores SQL Server databases while SQL Server is running. For more information on backing up SQL Server, see SQL Server .

System State. Remote Backup can back up the System State, allowing critical internal information to be restored.

Active Directory. Remote Backup can back up the Active Directory on a Domain Controller.

Open Files. Remote Backup can back up all files, even those that are open, locked, and in use by other applications.

VMware. Remote Backup can back up VMware virtual machines running on VMware workstation.

Hyper-V. Remote Backup can back up Hyper-V virtual machines.

Full Drive Images. Remote Backup can back up full drive images, writing them to fully bootable, mountable .VHD files.

This is how Remote Backup works

After you install Remote Backup, you will simply leave your computer on at night. Remote Backup "hides" in the background without interfering with any other program. You will notice the Remote Backup icon on the System Tray.

At a predetermined time, Remote Backup wakes up and determines which files need backing up, and what kind of backup (out of four possibilities) is scheduled for that night. It then compresses those files into archives that are often far smaller than the original files. These archives are then encrypted using an encryption key known only to you.

After your files are compressed and encrypted, Remote Backup activates your Internet connection, modem or other communications device and sends your files off-site to your Service Provider's storage facility. Remote Backup then verifies your files and goes back to sleep.

Your valuable computer files are now safe off-site. If your building burns, or your computer is stolen, your business can be saved by replacing your equipment and restoring your files from the Remote Backup Server.

Bit Backup

Remote Backup can optionally use an exclusive process called BitBackup to substantially reduce the amount of time it takes to back up files - up to 99.7%. For a complete explanation of how BitBackup works, see the section on How BitBackup Works .

BitBackup backs up only the parts of files that have changed since the previous backup. For example, if you change a single 5-character word in a 2 megabyte word processing document, BitBackup will back up only the 5-character word.

BitBackup is particularly useful in backing up huge files like databases that may change only slightly every day.

Open Files

Remote Backup will back up all files, even those that are typically locked by other applications. Remote Backup can back up Outlook PST files, Quicken and Quickbooks files, and other files that are in active use by other applications.

Full Image Backup

Remote Backup can back up an entire drive image, saving it to a single file in Microsoft Hyper-V format. The resulting .VHD file can be directly mounted, and it is bootable if the source drive was bootable.


File_Typeshtm

File Types

File Types

Your computer stores its data in files. Some file types need to be backed up, and some usually do not. Although Remote Backup can back up virtually any file on your computer, some files are considered critical and some are not.

Data files are considered critical files because they contain your most recent and critical data like your customer records, accounting files, word processing files, and other data you work with on a daily basis.

Program files are usually not considered critical because if they are lost they can be restored from your original distribution diskettes that came with your software. For this reason it is important to store the original copies of your software diskettes away from your computer, not in the same building if possible.

Your computer also has a lot of other non-critical files. These are files that are left over from installations of programs, temporary files, compressed folders, others that would not affect the operation of your computer if they were lost. These should not be backed up.

The vast majority of the files on your computer are probably program files and other non-critical files. They can be identified by their file names. Program files have common extensions like:

.exe .dll .ovl .reg .cab .zip .hlp .bmp .sys .wav

Some file types that probably should be backed up include:

.mdb .sql .dbf .fpt .ini .lnk .doc .xls .pst .msg

These are by far not the only file types that should be backed up, but they are common data file extensions.


Automatic Updates

Automatic Updates

The Endpoint software can periodically check for software updates.

Enter the Windows AdministratorUsername and Password, and the URL for the Autoupdate file. The Autoupdate file is a text file hosted your RBS Server. Instructions for using it are in the RBS Server's documentation.


Backup Sets

Backup Sets

Remote Backup saves most of the information it needs in Backup Sets. Each Backup Set can define a set of files to backup, exclude, or ignore. It contains a schedule for backing up those files, and other options. Remote Backup runs its Backup Sets like programs, all at the same time. You can define Backup Sets with an almost unlimited combination of files, schedules, and options. Remote Backup will run each Backup Set on schedule, independently.

Full Image Backup *

There is one special built-in backup set called Full Image Backup. Selecting this special backup set will let you back up and restore entire drive images instead of files and folders.

Entire drives can be backed up to a Microsoft Hyper-V file called a .VHD file. This file can be directly mounted on any computer through a Windows utility, and it can be restored to any computer, even to new hard drive.

* Feature may not be available in all editions.


New Add backupset

Add New Backup Set

Add New Backup Set

BackupSet:New

This menu option is used to create a new Backup Set. Remote Backup comes with one Default Backup Set. You can create others. Each contains a set of files that can be included or excluded from backups.


Selecting_a_Backup_Sethtm

Selecting a Backup Set

Selecting a Backup Set

The file Selection screen includes a drop-down selection for Backup Sets. Click the Down Arrow to the right of this field to select a different Backup Set. If you have changed the current Backup Set, you may be asked if you would like to save your work.


Deleting_A_Backup_Sethtm

Deleting A Backup Set

Deleting A Backup Set

BackupSet:Delete

Select this menu option to delete the current Backup Set.


Renaming_A_Backup_Sethtm

Renaming A Backup Set

Renaming A Backup Set

BackupSet:Rename

Select this menu option to rename the current Backup Set.


Saving_a_Backup_Sethtm

Savinging A Backup Set

Saving a Backup Set

BackupSet:Save

This menu option is used to save modifications you have made to a Backup Set. Selecting it will write your modifications back to your hard drive.


Saving a Backup Set with a new Name

Saving a Backup Set with a new Name

BackupSet:Save As

Use this menu option to save the current Backup Set as a different name. This is similar to BackupSet:New - Creating A New File Set except that instead of a Blank Backup Set being created, the currently selected Backup Set is cloned.


File_Selection_Screenhtm

File Selection Screen

File Selection Screen

The File Selection Screen is the main screen for Remote Backup. It works like the standard Windows Explorer interface. The left pane contains a display of your drives and folders, and the right pane contains more detail on what you have selected in the left pane - usually a list of folders and files.

How to Select Files for Backup

To select drives, folders, and files to back up or exclude from backups, use the right pane. Left-click over the item you want to mark, then select one of the buttons indicating the green ✔, the red X, the blank box, or Include Permissions. You may also use your right mouse button for a menu.

When you place a mark on a folder or drive in the right pane, your selection takes place for all folders and directories within the one you selected. For example, if you place a green ✔ on a folder, all folders and files in that folder will be backed up.

If you place a red X over a folder, every folder and file in that folder will be excluded from the backup.

Once a drive or folder is marked, you can open it and see that many, if not all, of the folders and files within it are marked with the same mark.

The red X takes precedent over all other marks. If you place a red X over a drive or folder, you will not be able to open that folder and change any of the red X marks.

However, you can change the marks on folders and files within drives and folders that have a green ✔ or a blank box.

Within these constraints, you can change any mark on any drive, file, or folder.

Include Permissions

When you select files and folders using the Include Permissions feature, the NTFS permissions are also backed up, and will be restored as long as the files and folders are restored to the same location on the same computer.

System State

Remote Backup can back up the Windows System State. This backs up the Windows registry, user settings, and Windows system files. Backing up the System State can take longer than regular files. To back it up, simply mark it with a green ✔. For special instructions for restoring the System State, see the section on Restore .

Active Directory

If Active Directory is installed, Remote Backup displays it for selection. To back it up, simply mark it with a green ✔. For special instructions on restoring Active Directory, see the section on Restore .

Exchange Database Level

If Microsoft Exchange or SQL Server are running on the Client computer, icons for them will be displayed in the All Folders window. They can be included, excluded, and expanded just like drives and folders.

Exchange Mailbox Level

For further help with Exchange please read their sections in the documentation.

SQL Server

For further help with SQL Server please read their sections in the documentation.


Auto Select

Auto Select

AutoSelect is one of the most powerful features in this software. It allows you to select or exclude files for backup depending on which software application they belong to. For example, with one simple selection you can back up all Microsoft Word documents throughout your drive, regardless what folder they are in.

In addition to backing up existing files, AutoSelect picks up files that are added later and automatically adds them to your backups.

There are two ways to use AutoSelect. Both ways require AutoSelect to be turned ON.

With AutoSelect turned ON you can edit the file selections by picking Edit Autoselect.

This menu lists all the file types on your computer, in all folders. Right-click on any file type to pick from a menu that lets you include, exclude, or ignore files. You can also highlight a file or group of file types and pick one of the buttons on the right of the screen.

Using the User Defined tab you can add your own file types. There are still many software programs in use which predate Microsoft Windows, and so they might not appear on the AutoSelect's main File Types tab. To add your own file types, click the ADD button.

After adding your new file types you can then select them to include, exclude, or ignore, the same as with all the other file selections.

AutoSelect with Right-Click

Many people find the Right-Click method of AutoSelect easier to work with.

With AutoSelect ON, right-click on any file in the right pane of the normal file selection screen. You will see an AutoSelect menu. Select Include, Exclude, or Clear. You can add the file type you selected to the AutoSelect system and back up all similar file types. If the file type you have selected is already in the AutoSelect list, you can Edit or Delete it here.

More help for selecting files can be found in File Selection Tips and Tricks .


File Selection Tips and Tricks

File Selection Tips

File Selection Tips

When you select the files you back up, you may get better results if you understand a few tricks of the file selection subsystem.

THREE BASIC MODES

The system optimizes your selections in different ways depending on the contents of your selection:

Folder/File Selection without Auto-Select

Auto-Select INCLUDES and EXCLUDES

Folder/File Selection with only Auto-Select EXCLUDES

Folder/File selection method one involves simply Green-✔ing files and folders, and excluding files and folders within that selection. Method 1 is good for backing up specific files and folders quickly

Auto-Select INCLUDES and EXCLUDES is the most thorough method but takes the longest, and can potentially generate huge backups. This is fine if that's what you want, but it's also easy to pick up a lot of relatively unnecesary files.

Method 3 is a combination of method 2.

Methods 1 and 3 are pre-optimized before being fed into the scanning process, scanning root and sublevel folders separately to improve the speed of the process.

CHECKING THE RESULTS

For deep analysis of file selections, you may change the Log Level setting temporarily to VERBOSE, which will list all file selections and exclusions for files scanned. We don't

recommend leaving this setting at this level as the log files generated can be huge.

INTERACTIVE SELECTIONS

While selecting files, you can use the right-click menus to easily modify your selections based on the files you see, for example, you can right-click on ABC.ZIP and select the Auto-Select exclusion of all ZIP files. You will immediately see any other ZIP files receive a Red X.

USER-TYPES Trump FILE-TYPES

Auto-select offers two method of defining filters. The File Types are taken from the list of file types maintained by windows, and can vary based on applications installed and user modification, so cannot always be depended on from one computer to another.

User-Types are your user-defined collection of file types, by extension. User-Types take precedence over File-Types, and both can contain a list of file extensions. Normally, a Red-X TRUMPS a Green ✔ except with User-Types, where a Green-✔ed user type can reverse a Red-X in a File-Type for the same extension.


Plugins

Plugins

SQL Server Plugin

MySQL Plugin

PostgreSQL Plugin

Full Image Backup Plugin

Hyper-V and VMware Plugin

Microsoft Exchange Plugin


SQL_Serverhtm

SQL Server Plugin

SQL Server Plugin

If Microsoft SQL Server is installed on the computer running the Remote Backup software, you will see an item named SQL Server in the All Folders window.

To back up SQL Server databases, simply expand SQL Server in the All Folders window. Include SQL databases the same way you would ordinary files and folders.

You can back up multiple instances of SQL Server on the same computer. Create a separate Backup Set for each instance, and configure each instance with the proper credentials. Each Backup Set can independently support a different SQL instance for backup and restore

The first time you click on SQL Server to expand it you may be asked to log into the SQL Server. Remote Backup will remember your SQL Server login credentials and will subsequently automatically log in so you will not have to log in again until your credentials change.

Server

This is the name of the SQL Server. If the SQL Server is running on the local machine, you can use (local) or the name of the SQL Server. The default Server Name will be filled in automatically, and you can override it if it isn't correct.

Authentication

The SQL Server will have been installed to use Windows Authentication or SQL Authentication, or Both. Select the Authentication method used with the SQL Server you want to back up. The default Authentication method will filled in automatically, and you can override it if it isn't correct.

User Name

Enter the user name to log into the SQL Server with Administrative privileges.

Password

Enter the password that matches the User Name.

Roll-Forward Threshold

Enter the number of differential backups to do before forcing a full backup.

Threshold Size

As an alternative to the above Roll-Forward Threshold, you can enter a percentage here. A full backup will be forced if the size of the differential backups grows to this percentage of the base file.

After you have entered the proper login credentials, select the Connect button.

When Remote Backup is properly connected to the SQL Server, the SQL databases will be displayed. You can Include them just like ordinary files and folders.

NOTE: Restoring Microsoft SQL Database cannot be redirected. It will always overwrite existing Microsoft SQL Database.

Remote Backup supports differential backup. The first backup will always be a full backup of the data (irrespective of the backup type selected) and successive backups will be differential (irrespective of the backup type selected). After every differential backup, a check is performed to confirm that the SQL database can be restored using the last differential and the full backup. If the check fails, a full backup is forced.


MySQL Plugin

MySQL Plugin

If MySQL is installed on the computer running the Remote Backup software, you will see an item named MySQL in the All Folders window.

To back up MySQL databases, expand MySQL in the All Folders window and include MySQL databases the way ordinary files and folders are included.

Multiple instances of MySQL can be backed up on the same computer. Create a separate Backup Set for each instance, and configure each instance with appropriate user credentials. Each Backup Set can independently support a different MySQL instance for backup and restore.

The first time you click on MySQL to expand it, you will be prompted to log into the MySQL. Remote Backup will remember your MySQL login credentials and will subsequently log in automatically using the same user credentials. You will not have to enter the user credentials again until they change.

Instance Name

Name or IP Address of the MySQL Server

Port

TCP/IP Port connecting to the set MySQL Server host.(Default 3306)

User Name

Enter the user name to log into the MySQL Server with Administrative privileges.

Password

Enter the password for the User Name.

Click Connect after entering the user credentials.

NOTE: Restoring MySQL Database cannot be redirected. It will always overwrite existing MySQL Database.


PostgreSQL Plugin

PostgreSQL Plugin

If PostgreSQL is installed on the computer running the Remote Backup software, you will see an item named PostgreSQL in the All Folders window.

To back up PostgreSQL databases, expand PostgreSQL in the All Folders window and include PostgreSQL databases the way ordinary files and folders are included.

Multiple instances of PostgreSQL can be backed up on the same computer. Create a separate Backup Set for each instance, and configure each instance with appropriate user credentials. Each Backup Set can independently support a different PostgreSQL instance for backup and restore.

The first time you click on PostgreSQL to expand it, you will be prompted to log into the PostgreSQL. Remote Backup will remember your PostgreSQL login credentials and will subsequently log in automatically using the same user credentials. You will not have to enter the user credentials again until they change.

Instance Name

Name or IP Address of the PostgreSQL Server

Port

TCP/IP Port connecting to the set PostgreSQL Server host.(Default 5432)

User Name

Enter the user name to log into the PostgreSQL Server with Administrative privileges.

Password

Enter the password for the User Name.

Click Connect after entering the user credentials.

NOTE: Restoring PostgreSQL Database cannot be redirected. It will always overwrite existing PostgreSQL Database.


Full_Image_Backupshtm

Full Image Backup Plugin

Full Image Backup

Remote Backup can back up full drive images using a special built in Backup Set called "Full Image Backup".

In Remote Backup v11.11 full image Backups are stored in the local environment only. In a future release they will be sent offsite to the Server.

Select the Full Image Backup backup set, and select the physical and/or logical drives you want to back up.

Then on the Schedule screen, select the "Image Backup Location" button to assign a location for the full image backup.

See the chapter " Mounting Virtual Image (VHD) Files " for information on mounting and using the Full Image Backups.


Hyper-V_and_VMwarehtm

Hyper-V and VMware

Hyper-V

Remote Backup can back up running Hyper-V and VMware Workstation virtual machines when it is run in the Host.

If running virtual machines are detected they will appear in the Backup Set menu. To back them up select them like you would any other file. Remote Backup can back up only RUNNING virtual machines.

VMware


Exchangehtm

Microsoft Exchange

Also see Troubleshooting Exchange

If Microsoft Exchange is installed on the computer running the Remote Backup software, you will see an item named Exchange Server in the All Folders window.

To back up Exchange mailboxes, sub-mailbox folders, and other Exchange objects, simply expand Exchange Server in the "All Folders" window. Include Exchange objects the same way you would ordinary files and folders.

The first backup of Exchange will back up all emails and items from the selected mailboxes, public folders and address lists. Subsequent backups will only back up the emails and items that are added since the last backup.

The first time you click on Exchange Server to expand it you may be asked to log into the Exchange Server. Remote Backup will remember your Exchange login credentials and will subsequently automatically log in so you will not have to log in again until your credentials change.

Exchange database level backup and Active Directory

Remote Backup uses Windows Volume Shadow Copy Service (VSS) to backup Exchange 2003, 2007 and 2010, and Active Directory 2008. A snapshot of the Exchange and Active Directory files are taken to ensure the consistency of the backup data. Once the snapshot is complete, Exchange database and log files are checked for integrit. If the integrity check fails, an exception is written to the backup log file and Remote Backup proceeds to the next item.

Only full backup is supported for Active Directory 2008.

Remote Backup supports full and differential backups for Exchange Server Database level backup. The first backup is always a full backup (irrespective of the backup type selected), which will backup the database and the log files. When the full backup finishes successfully the transaction log files are flushed.

Successive backups are differential (irrespective of the backup type selected), and back up only the transaction log files. After every differential backup a check is performed to confirm that the Exchange server can be rebuilt using the last differential and the dependent full backup. If this check fails, a full backup is forced.

FQDN

The FQDN is the Fully Qualified Domain Name. To find the FQDN open Exchange System Manager, expand Recipient Policies, and double click on the Default Policy.

In the properties windows, navigate to the Email Addresses (Policy) tab and make note of the Default SMTP entry (the highlighted one). This is your FQDN, without the first @ symbol. In this example, the FQDN is test.RBS

Domain Name

You can find this from the Active Directory. Open Active Directory Users and Computer. Your Domain Name should be the name of the root node just under the Active Directory Users and Computers. In some cases the Domain Name and FQDN might be the same.

Username

The Domain User who has permission to access all Mailboxes, Public Folders, and Address Lists.

Password

The password for the Domain User entered in the Username field.

Don't Backup Junk E-mail Folder and Don't Backup Deleted Items Folder

Exchange backup can optionally exclude the Junk E-mail folder and the Deleted Items Folder from all selected mailboxes. Select the appropriate checkbox.

Configuring Exchange Using Regedit (Advanced)

You can also configure Exchange backup to exclude your own user defined folders. This option is not commonly used, so it's not selectable on the interface, and requires modification of the registry. Note: Be careful when modifying the registry. Using Registry Editor incorrectly can cause serious problems that may require you to reinstall Windows.

If you are unsure of how to use the REGEDIT program to edit the registry, DO NOT TRY IT.

  • Click on Start -> Run.
  • Enter REGEDIT and hit enter.
  • In the Registry Editor, Navigate to HKEY_LOCAL_MACHINE\SOFTWARE\Quantum Tech, Inc.\Remote Backup\Plugins\Exchange Server and locate the key "ExcludeItems".
  • Please note that this key will only be there after you save your exchange configuration with either "Don't Backup Junk E-mail Folder" or Don't Backup Deleted Items Folder" selected. You can also create the key "ExcludeItems" Manually.
  • Enter the exact name of the folders separated by semi-colon that you want to exclude from the selected mailboxes.

In this example, Sent Items, Junk E-mail and Deleted Items will be excluded from the mailboxes. After you have made these changes, these folders will not be displayed in the client software.

After you have entered all the Exchange login information, click the Connect button to connect to the Exchange Server.

When Remote Backup is properly connected to the Exchange Server, the Exchange folders will be displayed. You can expand them to Include them just like ordinary files and folders.

Note: Remote Backup does not display individual emails - just mail folders.

If your Exchange Server has many mailboxes, expanding the display can take some time.

Exchange 2010 and post-2010 Mailbox level Backup:

Also see Troubleshooting Exchange

Minimum requirement for Exchange 2010 Mailbox backup is Exchange server 2010 SP2(Build edition - 14.2.247.5 )

To Check the Build Numbers and service packs, go to URL

http://social.technet.microsoft.com/wiki/contents/articles/240.exchange-server-and-update-rollups-build-numbers.aspx

Connection:

Where,

SVR2016 – Is the Server Name.

exch2016 – is the domain name.


Troubleshooting Exchange

Troubleshooting Exchange (Pre-2010)

For Exchange Administrators Only

Troubleshooting Exchange 2010 and 2013 is below this section.

The Username and Password used to login to the Exchange Server should have enough permission to access mailboxes that need to be backed up.

Giving the administrator account full access to all the mailboxes (Information Store)

The Administrators group should have the Allow option set and Deny option not set for “Send As” and “Receive As” Permission.

i. Open the Exchange System Manager.

ii. Expand the Organization

iii. Expand the Administrative Groups container.

iv. Expand <administrative group name>, Servers container, <server name>, the Storage Group and < storage group name>

a. Right click on the store containing the mailboxes you want to grant access to, and choose properties.

b. Click on the security tab and choose the Administrators group from the list. If the Administrators group is not already there, click on Add and add it.

264733 How to enable the Security tab for the organization object in Exchange 2000 and in Exchange 2003 HYPERLINK http://support.microsoft.com/default.aspx?scid=kb;EN-US;264733

c. Scroll down the list of permissions and check allow for the Send As and Receive As permission and then click OK. Make sure the Deny Permissions are not set.

if you still cannot access the mailbox restart the Remote Backup Client Software. Restart all exchange services from the services panel or reboot the machine.

Giving a Domain User access to a particular mailbox

These following steps have to be done on all the mailboxes(user accounts) that you are trying to access and backup.

Suppose you are trying to access MailBox B and C with Username A. You must grant access for Username A to access MailBoxes B and C. So you should edit the mailbox rights of B and C to grant permission for A.

Follow these steps to grant access to a user for a mailbox.

i. Open Active Directory Users and Computers from Control Panel -> Administrative Tools. Go to the Users section.

ii. Right Click on the mailbox (user account) that you are trying access and back up from the client software. Select Properties

iii. Navigate to the "Exchange Advanced" Tab. Click on MailBox Rights.

iv. Click on Add and add the user that you are using to back up Exchange. Grant "Full MailBox Access" and click ok.

If you still cannot access the mailbox, restart the Remote Backup Client Software. Restart all exchange services from the services panel or reboot the machine.

Creating a new user and giving him access to all the mailboxes (Information Store)

i. Open Active Directory Users and Computers from Control Panel -> Administrative Tools.

ii. Right Click on Users and select New User. Give the new user a FirstName, LastName, logon name etc, and click Next.

iii. Type a password, enter the same in the Confirm Password, select your password options, and click Next.

iv. Make sure "Create an Exchange Mailbox" is checked, then click Next.

v. Click on Finish to create the user.

vi. Right Click on the created user and select Properties.

vii. Navigate to the "Member of" Tab, click on Add. Type Administrators, click OK and then OK again to close both windows.

viii. Open the Exchange System Manager.

ix. Expand the Organization.

x. Right click (on the top node) and choose the Delegate control

a. Click next and then Add and Browse. From the object picker choose the user (the user that we just created) to which you want to grant access, and click ok

b. Make sure the Exchange View Only Administrator is chosen and click OK.

c. Click Next and Finish.

xi. Next expand the Administrative Groups container

xii. Expand <administrative group name>, Servers container, <server name>, the Storage Group and < storage group name>

a. Right click on the store containing the mailboxes you want to grant access to and choose Properties.

b. Click on the security tab and choose the user from the list. If the user was added as part of a group at the View Only Administrator level then that individual user will need to be added at this time if the entire group is not going to be granted Receive As permissions here. If the security tab is not visible, follow the instructions in the following article.

"264733 How to enable the Security tab for the organization object in Exchange 2000 and in Exchange 2003 HYPERLINK http://support.microsoft.com/default.aspx?scid=kb;EN-US;264733"

c. Scroll down the list of permissions and check Allow for the Send As and Receive As permission and then click OK.

The Information store may cache this data and it can take up to 2 hours for this cache to be flushed. Dismount and remount the store to flush this cache immediately or reboot the machine for this cache to reflect the permissions immediately.

Troubleshooting Exchange 2010 and 2013

Here are some of the common trouble-shooting steps and solutions.

IMPORTANT! Service Pack 1 is required for SBS 2011

Service Pack 2 is required for Exchange 2010

Service Pack 1 is required for Exchange 2013

Error: ‘CommandNotFoundException’ or ‘ObjectNotFound error’:

To resolve:

1) Launch Exchange powershell

2) Run “Add-pssnapin microsoft*”

3) Run “install-CannedRbacRoles”

4) Run “Install-CannedRbacRoleAssignments”

5) Close powershell

Role-assignment

[Error] The term 'New-MailboxExportRequest' is not recognized as the name of a cmdlet, function, script file, or operable program.

To resolve:

Check the spelling of the name, or if a path was included, verify that the path is correct and try again.

From Exchange Management Shell (run as administrator), assign new management role as follows:

[PS] C:\Windows\system32>new-managementroleassignment -role "Mailbox Import Export" -User "DomainName.local\Administrator"

Where, “DomainName.local” is the domain name. Include ‘.local’ if domain name has ‘.local’ defined.

Ref: http://technet.microsoft.com/en-us/library/ee633452.aspx

Enable PS-Remoting

(When errors are encountered connecting to Exchange Server)

ref: http://technet.microsoft.com/en-us/library/dd819498.aspx

To enable export/import requests PS-Remoting must be enabled.

Click Start, then select Microsoft Exchange Server, and Exchange Management: Shell - Run as Administrator

The following text was copied from the Powershell window.

[PS] C:\Windows\system32>enable-PSRemoting

WinRM Quick Configuration

Running command "Set-WSManQuickConfig" to enable this machine for remote management through WinRM service.

This includes:

1. Starting or restarting (if already started) the WinRM service

2. Setting the WinRM service type to auto start

3. Creating a listener to accept requests on any IP address

4. Enabling firewall exception for WS-Management traffic (for http only).

Do you want to continue?

[Y] Yes [A] Yes to All [N] No [L] No to All [S] Suspend [?] Help (default is "Y"): Y

WinRM already is set up to receive requests on this machine.

WinRM has been updated for remote management.

Created a WinRM listener on HTTP://* to accept WS-Man requests to any IP on this machine.

WinRM firewall exception enabled.

Confirm

Are you sure you want to perform this action?

Performing operation "Registering session configuration" on Target "Session configuration "Microsoft.PowerShell32" is

not found. Running command "Register-PSSessionConfiguration Microsoft.PowerShell32 -processorarchitecture x86 -force"

to create "Microsoft.PowerShell32" session configuration. This will restart WinRM service.".

[Y] Yes [A] Yes to All [N] No [L] No to All [S] Suspend [?] Help (default is "Y"): Y

More info:

http://blog.powershell.no/2010/03/04/enable-and-configure-windows-powershell-remoting-using-group-policy/

Errors during Incremental Backup

(Error: :Script block literals are not allowed in restricted language mode or a Data section)

Description: We cannot run methods in restricted language mode.

The Exchange configuration is locked down (restricted session). By default, only administrators can connect to the end point, but they are restricted as well.

A few words on the LanguageMode property - There are three possible values: NoLanguage, RestrictedLanguage, and FullLanguage. In FullLanguage you can do whatever you want. In NoLanguage mode only commands that are using the Runspace APIs are allowed, and in RestrictedLanguage mode commands that contain scripts that need to be evaluated are not allowed.

To resolve:

We can change the language mode by opening the web.config file in the PowerShell virtual directory:


Newtopic1

System Tray Menu

System Tray Menu

When Remote Backup is running, it normally hides in the System Tray. Right-Click the icon to display the System Tray Menu.

If there has been a missed backup or a failed backup recently, the System Tray icon will contain a yellow flashing exclamation mark.

Missed Backups

The system tray icon will indicate if you have missed a scheduled backup. To view details, select the Missed Backups menu choice. The following screen will display.

After viewing the list of Missed Backups, you can close this window. The Missed Backups menu option will disappear.

Failed Backups

The system tray icon will indicate if one of your backups has failed to complete. To view details, select the Failed Backups menu choice. The following screen will display.

You can view the complete logs of any of the failed backups by double-clicking the backup from the list.

After viewing the list of Failed Backups, you can close this window. The Failed Backups menu option will disappear.

Backup Exceptions

Backup Exceptions are "problems" that happened during a backup, but which did not stop the backup from completing. Common exceptions include skipping files that were locked by another application, which Remote Backup could not back up. (Remote Backup will back up most - but not all - open files.)

This menu shows all the Backup Sets that have run, and which contain exceptions. Select the Backup Set you want to view, and click the Next button.

This screen shows all the exceptions that happened, and a reason for the exception. To clear the exceptions from this report, checkmark them and click the Finish button.


Schedule_Menuhtm

Schedule Menu

Schedule Menu

This is where the schedule of the backup is defined. The screen has a drop-down menu from where the Backup Set can be selected. It also has options to select Backup Type to select the type of backup that needs to be scheduled.

Note: Backup Type selections are an Advanced Feature that can be turned ON or OFF by enabling Use Advanced Features check-box on the Backup tab of Preferences Menu in Options window.

Backup Types

Incremental

Files which have been modified since the last backup will be backed up if Incremental Backup is selected under Backup Type . Then, once they are backed up, the files will be marked on the disk as having been backed up. This is the default and most widely-used way to back up data files.

Differential

Files will be backed up which have been modified since the last backup, the same as Incremental. However, after the files are backed up, they will not be marked as having been backed up. The reason for this option is in case you also want to do tape backups as well as Remote Backups. Your tape backup software relies on the marks placed on the files to determine which files need to be backed up. So, you don't want to remove them with your Remote Backup.

Full

Files will be backed up regardless of whether they have been changed since their last backup. This is the least-used option because it results in the largest Backup Sets and longest on-line times.

BitBackup

Only the parts of files that have changed will be backed up. This option creates sub-file or "patch" backups. This creates the smallest backups that take the least amount of time. See How BitBackup Works for more information.

Backup Location

Select the location for this backup. You can select from Server, Local Mirror, and/or Cloud Backup. You can select any or all of these. Backups will be sent simultaneously to the selected locations.

Server - The backup will be sent to the RBS Server.

Local Mirror - The backup will be sent to the Local Mirror location as defined in Options : Local Mirror Options.

Cloud Service - The backup will be sent to a drive or folder mapped to a Cloud service like Google Drive or DropBox as defined in Options : Cloud Backup Options.

There is also a box labeled Backup Schedule. Here you can select different schedule types.

The Backup Schedule Box

Daily

Selecting this option will launch a backup every day, seven days a week.

Weekly

This schedule lets you select which days of the week to do a backup. You can select to do a backup every Monday, Thursday, and Saturday.

Monthly

On this schedule you can select the first, second, third, fourth or fifth of any day of the week. Here are some examples: You can pick the first and third Wednesdays of each month. You can select the second Tuesday and Thursdays. There are a lot of possible schedules you can use here.

Once Only

This schedule will launch a single backup session, one time only, on a specified date you can pick from a pull-down menu containing a calendar.

On Demand

Pick this selection if you want this backup set to be launched On Demand only - not through the scheduler. You can then launch this backup set through the Run Now option on the Run Menu.

NetReady

The NetReady schedule type is used mostly for laptops that are not always connected to the Internet. Selecting this option will cause backups to start as soon as an Internet connection is acquired.

Copy to Disk

Select this option if you want this backup to do a Copy to Disk operation instead of a normal Remote Backup.

Start Time

For each of these schedules you can select a Start Time and an Attempt Window. Please be aware the Start Time is on a 24-hour schedule, and that anything after midnight is the next day. What this means is that if you want to back up Friday's work, and you want the backup session to take place after midnight, you should select a time early in the morning of Saturday, not Friday.

BitBackup is a special kind of backup that backs up only the changed parts of files instead of the full files. It is sometimes called "sub-file" backup or "patch" backup. BitBackup is especially useful for very large files when only small parts of the files change between backups.

For a complete explanation of how BitBackup works, see the section on How BitBackup Works.

For example, if only a five-character word changes in a 2 megabyte document, BitBackup will back up only five characters. This can save large amounts of storage space on the Server, and it can significantly speed up the time needed to do a backup.

BitBackup always backs up a full file the first time. Thereafter, it backs up only the changed parts of the file. Each of the BitBackup backups sent after a full backup can restore the file up to the point in time when that backup was done, called cumulative backups. So, as time goes on, BitBackup archives become larger as they contain more changes.

Periodically, BitBackup needs to reset - a process called Roll-Forward. To do this, Remote Backup sends the full file again, and then resets BitBackups, which reduces their file size back to the minimum. This process cycles according to the settings at the bottom of this screen.

Roll-Forward Threshold

This is the number of BitBackups that will be done before Remote Backup resends the full file again.

Threshold Size

The percentage of BitBackup size to full-file size. In the example on this screen, when the size of the most recent BitBackup archive exceeds 50% of the size of the full file, Remote Backup will perform a Roll-Forward, resending the full file. Using the Threshold Size feature instead of the Roll-Forward Threshold setting takes more time during preparation of a backup, because Remote Backup needs make a BitBackup archive to compare its size to the full file.

Differential Mode

Select this checkbox to have BitBackup backups act like normal Differential backups. Files will be backed up which have been modified since the last backup, which is the normal way BitBackup works. However, after the files are backed up, they will not be marked as having been backed up. The reason for this option is in case you also want to do tape backups as well as Remote Backups. Your tape backup software relies on the marks placed on the files to determine which files need to be backed up. So, you don't want to remove them with your Remote Backup.

The Schedule Options Box

Backup and Logoff

Select this box to have Remote Backup log off the currently logged-in user after a backup is completed.

Backup and Shutdown

Select this box to have Remote Backup completely shut down the computer after a backup is completed.

Task

Click on the Task Button to Open Advanced Task Scheduler Settings.

Attempt Window

The Attempt Window is the number of hours Remote Backup will attempt to perform the backup. Selecting a start time of, for example, 1:00am will not necessarily cause the backup session to start at 1:00am, although it might. Remote Backup might not be able to perform a backup for a variety of reasons - the Server is too busy, files are locked, the computer is not turned on.

In the event that Remote Backup cannot perform a backup at the selected Start Time, it will attempt the backup session some time during the next period of time

Backup Window

The Backup Window is the number of hours after which you want the backup to stop. Setting it to 2 Hours, the client will stop the backup after 2 hours from start time.

Do Not Disturb (DND)

With this Option, you can now schedule and pause backups. You can also add exceptions to these Scheduled pause with 'DND Exceptions'.

Full Image Backup

The Full Image Backup backup set is used to back up an entire disk image. In this first version it is limited to On Demand, and cannot be scheduled.

Click the Image backup Location button to specify the location for the drive image. Make sure there is enough space on the Image backup Location to hold the entire size of the drive you want to back up.


Cloud Backup

Cloud Backup

Cloud Backup is used to backup data to a remote Cloud server. RBackup runs backup using the selected backup set and sends it to the selected cloud location which can be Amazon drive/Google drive/Wasabi drive/OneDrive. This can be configured from the Remote Backup Scheduler Window.

Backing up to Amazon S3

In the Remote Backup Scheduler Window, select Cloud Check-Box under Backup Locations Options. The Cloud Settings will be enabled. Click Cloud Settings and select Amazon S3 from the Drop-down in the Add Backup Locations box.

Enter the Access Key, Secret Key, S3 Bucket Name and S3 Region and Click Save Button.

Note: Refer https://aws.amazon.com/blogs/security/wheres-my-secret-access-key/ for more information on configuring Amazon S3

Backing up to Google Drive

In the Remote Backup Scheduler Window, select Cloud Check-Box under Backup Locations Options. The Cloud Settings will be enabled. Click Cloud Settings and select Google Drive from the Drop-down in the Add Backup Locations box.

Enter Gmail Address and Click Save button.

Note: User will be prompted to enter password first time.

Backing up to Wasabi

In the Remote Backup Scheduler Window, select Cloud Check-Box under Backup Locations Options. The Cloud Settings will be enabled. Click Cloud Settings and select Wasabi from the Drop-down in the Add Backup Locations box.

Enter the Access Key, Secret Key, Wasabi Bucket Name and Wasabi Region and Click Save Button.


Enable Chunk Settings

Enable Chunk Settings

This feature breaks down the file in to smaller chunks for faster transfer. Any file larger than the specified threshold size will be split in to chunks. The number of chunks is controlled by the chunk size.


Options_Menuhtm

Options Menu

Options Menu

The Options Menu contains choices for Preferences,Print Disaster Recovery Info, Local Mirror Options, Cloud Backup Options, Delete Files from Server, Covert to SQL and Send Diagnostics..

The Preferences menu allows you to change various options of Remote Backup, including your personal information.

Enter the Admin override password to enter the Preferences.

The Encryption Key menu choice allows you to change your encryption key. For more information, see the section on Changing Your Encryption Key .

The Delete Files from Server menu choice allows you to delete your backup files from the RBS Server to save space. For more information, see Deleting Files from the RBS Server .

Local Mirror Options

Remote Backup can optionally maintain a mirror of its online storage on a locally attached network drive. When restoring, Remote Backup will first look for files on its local mirror. This makes restores very fast and adds an additional layer of redundancy. Files stored on the local mirror are fully encrypted and compressed to save drive space and increase security.

When you enable the Local Mirror, select the drive and folder for the mirrored storage. Make sure there is plenty of drive space available.

IMPORTANT: When sharing a mirror drive with other users in a network be sure to give each user its own folder on the shared drive.

Cloud Backup Options

Remote Backup can also maintain a mirror of its online storage on a Cloud drive (Location). Cloud Drive can be Microsoft OneDrive, GDrive, DropBox etc. Files stored on the Cloud Backup Location are fully encrypted and compressed to save drive space and increase security.

When you enable the Cloud Backup Location, select the drive and folder for the Cloud storage. Make sure there is plenty of drive space available.

IMPORTANT: When sharing a Mirror/Cloud drive with other users in a network be sure to give each user its own folder on the shared drive.

Send Diagnostics

You can use this option to send the client log files to the RBS Tech support team directly from the client withe a single click. On the screen enter the password provided by your Service provider and click OK.


Deleting_Files_from_the_RBS_Serv

Deleting Files from the RBS Server

Deleting Files from the RBS Server

The Delete Files from Server menu choice on the Options menu allows you to delete your backup files from the RBS Server to save space.

Files deleted from the RBS Server cannot be recovered.

The Delete interface looks like the Restore interface, so be careful.

This is the Delete Files screen. The left pane contains the file selection criteria. The right pane contains the files you have found in the search. Select files to delete in the right pane. The bottom pane shows the progress and results of your delete operation.

All or part of filename

Enter any part of the file name or folder name to search for files, or leave this as *.* to search through all files.

Backup Set

Select which backup set to search though, or select All backup sets.

Backup Location

If you have made backups to multiple locations (Local, Cloud, RBS Server) then you can delete from any location individually. Or, you can select All delete from all locations.

Date Search

Select On Date, Before Date, After Date, Between Dates, or All.

On Date: Selects files backed up on a date.

Before Date: Selects files backed up before a date.

After Date: Selects files backed up after a date.

Between Dates: Selects files backed up between two dates.

Date

Select the date from a drop-down calendar to use in the search. If you select Between Dates, there will be two Date fields. Note: The calendars will only let you select dates for files that have been backed up.

When you have entered your search criteria, press the Search button. The files found in your search will appear in the right pane. You may now enter other search criteria to find more files, which will be added to the right pane.

To clear your search and start over again, press the Clear Search button.

After you have searched for your files, and have selected the ones you want to delete by checkmarking them in the right pane, press the Start Delete button to delete them.


Encryption_Standardshtm

Encryption Standards

Encryption Standards

Remote Backup allows you to use various Encryption Standards. Depending on the country you are in and the version of Remote Backup you have, some of these standards may not be available to you.

DES

The old US Federal Standard

TDES

A much more secure form of DES

Blowfish

Probably the most secure of all. It uses a key length that is variable from four bits to 448 bits.

AES

The new US Federal Standard. Remote Backup supports three levels of AES from 128 bits to 256 bits. 256 bit AES is very secure, but it is also slow.


Changing Your Encryption Key

Changing Your Encryption Key

It is usually advisable to change your Encryption Key periodically. Your Encryption Key is literally the key to your data. It is used to lock up your data so nobody else can see it, and like a regular key, if you forget it, you may not be able to recover your data.

There are two ways to change your Encryption Key. The first is to select a word or phrase that you can remember. For rules on selecting your encryption key, see the section on Selecting Your Encryption Key .

The second way is to let Remote Backup generate one for you.

Remote Backup has a way to automatically generate "statistically perfect" encryption keys - the most secure keys. If you want the very highest security, do not pick your own key. Allow Remote Backup to generate it for you.

The way Remote Backup generates a key depends on which encryption standard you have chosen. All of Remote Backup's encryption standards may not be available in your version of Remote Backup.

If you pick "DES (8.3 Standard)" Remote Backup will generate a 128 bit key, represented as sixteen letters and numbers.

Since these "perfect" encryption keys are hard to remember, it is recommended that they be recorded on paper and kept in a safe place.

Whenever an Encryption Key is changed it is advisable to create a new Key Disk using the Key Disk button.

When generating a key for Blowfish encryption, you will see an additional screen asking how long you want the key to be. Blowfish varies from one to 56 characters. A "character" is eight bits. So, Blowfish varies from eight bits (1 x 8) to 448 bits (56 x 8)

When a new key is created you will have the opportunity to print the new key. Print it or write it down and save it in a secure location.

Whenever you change your encryption key or any other setting that is critical in restoring your data, Remote Backup will prompt you with one or more messages indicating an action you should take.

When prompted to create an updated encryption key file, answer Yes. Remote Backup will place the key recovery files on the device you select.

Select a diskette drive or a network drive to store the Key Files away from the computer they protect.

This screen will be displayed, indicating the file name(s) that were created.


Selecting_Your_Encryption_Keyhtm

Selecting Your Encryption Key

Selecting Your Encryption Key

It is VERY important that you select a proper Encryption Key. This is literally the key to your data security. Remote Backup uses the industry's most secure encryption technology. However, even the latest, most secure encryption technology can be compromised by using a bad Encryption Key. There are some rules.

  • Never use your name, your dog's name, ANYONE'S name, or part thereof.
  • Never use any part of your telephone number, address, or any other identifying information about yourself.
  • Never use a properly spelled common word or proper noun.
  • Never use a key shorter than ten characters.
  • Never use the same encryption key and/or password for different services.
  • Never use the brand of your favorite car, horse, motorcycle, vacation spot, etc.
  • DO use a key with more than ten characters. The more the better.
  • DO use a key with mixed letters and numbers.
  • If you use actual words, misspell them.
  • Add unnecessary punctuation marks to the end of actual words or phrases.

Remember - the longer and more complex your encryption key is, the more secure your data. There are several ways to crack encryption - guessing, using a Dictionary program, brute force, or hardware-related methods.

Guessing - Hackers use this method first. They try to guess your encryption key by using combinations of information they know about you. Your name, your address, your phone number, your dog's name, your spouse's pet name - all are common encryption keys that can be guessed. If someone who wants to hack your password gains access to your desk, they will look around at your pictures, your stuff, and try to guess your password based on what they see. They may even look up the middle names of your children and other info about you in public records.

Dictionary Program - An attack with a dictionary program uses a database of words from the dictionary to try to crack your encryption key. If you use a common word or phrase, spelled properly, a Dictionary attack may take only a matter of minutes using a regular home PC.

Brute Force - This method requires an enormous amount of computing power, time, and manpower. But, it has been effective in cracking some low-level encryption techniques. Remote Backup uses extremely high-level encryption technology. In Brute Force attacks, hackers use high-speed computers to try many different combinations of letters and numbers until maybe, some day, one of their combinations work. This is the ONLY way to attack most high-level encryption techniques.

Sniffers - Less common than any of the other three methods, this method and other similar hardware-related methods seem to be born out of science fiction. But, they ARE real. Unauthorized visitors to your company can leave behind devices that send everything on your network or computer to a remote location. There's even a device that can be built out of common electronic parts that lets someone read everything on your computer monitor from as much as 100 meters away - without the need to actually see the monitor. They pick up the electronic pulses generated by your computer monitor as you type and translate them to screen images on the hacker's terminal. Amazing.

Examples of BAD ENCRYPTION KEYS

  • Robert (my name)
  • Larry (my dog's name)
  • 555-1212 (my phone number)
  • Jaguar (my favorite car)
  • Blackboard (just a regular word)

Examples of GOOD ENCRYPTION KEYS

  • theAzoRes# (a proper noun, mixed case, and with a trailing punctuation mark)
  • FrAn1klen-mAKes$-great%-breaD# (a phrase, misspelled, with punctuation and mixed case)
  • birds!of)a(featuer#flock^together (same as above)
  • asdASDLFJ#*sdfk98-98-0sdfk;jwq89ASDF3dsfkj9j30kld##cx (absolutely random - the best)
  • rooleftthetheatrethenwentforawalkdownbytheriver# (a phrase with punctuation mark)

Note: DO NOT use any of these examples!


Newtopic3

Convert DB

Convert Database to SQL

Use this function to convert your MS Access Catalog file to MS-SQL Server. You should do this if you need to back up more than 100,000 files, or if you want to speed up your backups and restores. Before you use this function you must install MS-SQL Server. Any version will work.

Select the location of your current "backup.mdb" file. The default location will be displayed. Click Next.

Select the SQL Server you want to use. For Rows/Batch (or Records per Batch) enter the number of records to process per batch. The default is adequate.

Click Next.

The database will be converted to SQL.

If the SQL database becomes too big there is an Administrative feature that can shrink it. This feature is available under the Administrative Interface of the Endpoint software, and is documented in the RBS Server's documentation.


Threshold Settings

Threshold Settings - Resource Monitor

This feature will Pause backups if the client machine reaches the set Memory threshold or CPU threshold. Once the Memory or CPU usage is below the threshold value the backup will resume automatically.

To enable the Resource Monitor, Slide the "Resource Monitor" switch to right in the backup progress window.

This Resource Monitor can also be accessed from Options >>Preference Settings.


Runhtm

Run

Run Backup Set Menu

The Run menu is used to run Remote Backup different modes.

Backup Now

Runs a backup now, using the currently selected Backup Set.

Resume Last

If there has been an interrupted backup, this option will display. It resumes the last backup if it was interrupted.

Cancel Last

If there has been an interrupted backup, this option will display. It cancels the last interrupted backup.

Test Connection

Tests the connection between the Remote Backup Client and the RBS Server. If the connection is good, the following screen will appear with all checkmarks.


Copy to Disk

Copy to Disk

The Copy to Disk function (on the Run Backup Set Menu) runs a backup using the currently selected Backup Set, but rather than sending it to the RBS Server, it sends it to a portable hard drive, CD, or DVD. This is useful when sending a large amount of data to the RBS Server as a first backup, which might take too long if sent over the Internet.

The archive files it places on a local drive are in the format required by the RBS Server. This function communicates with the RBS Server and sets up all the proper directories and resources to receive these files later, when they are copied onto the RBS Server from a portable hard drive, DVD, or CD.

To copy files to a CD or DVD, they must first be copied onto a hard drive, usually in a folder of a drive in the computer running Remote Backup. Then use your regular CD or DVD burning software to copy the files from the hard drive to the CD or DVD.

To get them onto the RBS Server, send the portable hard drive, CD, or DVD to the Remote Backup Service Provider, who will copy them onto the RBS Server. The files will then be immediately available for online restore.

Select Run Copy to Disk from the Run Backup Set Menu, and select the location where you want to send your backup files.

Confirm the location. The backup will begin, like a regular backup.

It is important to immediately copy these files to removable media and send them to the RBS Server as soon as possible. Although they now show up in the Restore screen, they will not be available to restore until they are copied onto the RBS Server.


Restorehtm

Restore

Restore

Select this menu choice when you want to restore files. The menu choices allow you to search through all your backed up files and select files to restore. You can also specify a location to redirect your files, in case you want to put them somewhere other than where they came from when they were backed up.

Restore All

You can use this functionality to Restore All files (Flat Files/Normal Files) at once. This function will skip loading the files in the restore window and start restoring files as soon as you hit the Restore button.

This is the main Restore screen. The left pane contains the file selection criteria. The right pane contains the files you have found in the search. Select files to restore in the right pane. The bottom pane shows the progress and results of your restore operation.

Search for Files to Restore

All or part of filename

Enter any part of the file name or folder name to search for files, or leave this as *.* to search through all files.

Backup Set

Select which backup set to search though, or select All backup sets.

Backup Location

If you have made backups to multiple locations (Local, Cloud, RBS Server) then you can restore from any location individually. Or, you can select All to have the software automatically search all locations for the most current version of the file(s) you want.

Date Search

Select On Date, Before Date, After Date, Between Dates, or All.

On Date: Selects files backed up on a date.

 Before Date: Selects files backed up before a date.

After Date: Selects files backed up after a date.

 Between Dates: Selects files backed up between two dates.

Date

Select the date from a drop-down calendar to use in the search. If you select Between Dates, there will be two Date fields. Note: The calendars will only let you select dates for files that have been backed up.

Only Most Recent Version

Selecting this checkbox modifies the search criteria to select only the most recent versions of selected files. This activates Remote Backup's Synthetic Full Restore feature, and it is the default setting. Selecting this checkbox will restore the latest version of all the selected files.

Restore NTFS Permissions

Selecting this checkbox will also restore the NTFS permissions for all the files and folders that have NTFS permissions associated with them. Note that permissions will only be restored if files and/or folders are restored to their original locations on their original computer.

Show Permissions Files

This option is visible when you checkmark "Restore NTFS Permissions." This is useful if you want to restore only the NTFS file permissions, and not the files themselves.

When you have entered your search criteria, press the Search button. The files found in your search will appear in the right pane. You may now enter other search criteria to find more files, which will be added to the right pane.

To clear your search and start over again, press the Clear Search button.

After you have searched for your files, and have selected the ones you want to restore by checkmarking them in the right pane, press the Start Restore button to begin the restoration.

Change Location Button

In the left pane, near the bottom, the current Restore Location is listed. The default is Original Location so the restored files will be placed in the same locations from which they were backed up. To restore to a different location, select the Change Location button to select another location.

Remote Backup will create the original folder structure at the new location and restore your files there.

During the restore process you will see this progress screen in the bottom pane.

Restoring the System State

NOTE: This restore cannot be redirected. It will always overwrite existing System State.

System State can be restored like any file. Simply select it for restore. After restore, the computer must be rebooted for the restore to take effect.

Restoring Active Directory

NOTE: This restore cannot be redirected. It will always overwrite existing Active Directory.

  • Restart the computer in Directory Services Repair Mode.
  • Start Remote Backup
  • Restore Active Directory using the Remote Backup Restore interface
  • Restart the computer in Normal Mode.

Restoring VMware and HyperV

VMware VM and HyperV files are restored just like any other file.

Restoring Full Image Backups

Also See: Mounting Virtual Image(VHD) Files .


Mounting_Virtual_Image_VHD_Files

Mounting Virtual Image(VHD) Files

Mounting Virtual Image (VHD) Files

Remote Backup writes its Full Image Backups into Virtual Image Files which can be directly mounted as logical drives. Once mounted, the files can be browsed using regular Windows Explorer. Files can be copied, and programs can be run from it. It is an exact replica of the original hard drive from which it was copied.

If the original drive was bootable, the VHD file will be bootable, too.

There are several ways to mount a VHD file, depending on your operating system and your needs. Find the best method for your needs by doing a search for "mount vhd file"


Disaster_Recoveryhtm

Disaster Recovery

Disaster Recovery

If your computer is stolen, if the hard drive crashes (fully or partially), or if your computer is completely destroyed, you will need to use the Disaster Recovery option to re-install the Remote Backup software and recover your files.

The Disaster Recovery process is mostly automatic, depending on how much information you have from your previous installation of the software.

You can easily recover your data after a total loss if you know your most recent Username, Password, Encryption Key, and Encryption Method. Even if you don't have all this information, you may still be able to get your data back.

Remote Backup makes it easy to record this information for a later Disaster Recovery if needed. Whenever you change your Encryption Key, Remote Backup will prompt you to create a new Key File and to print all your Key information on your printer.

We strongly recommend that you create a new Key File AND print the Print Key Form, and keep both in a safe place. They are literally the keys to restoring your data.

Whenever you change your encryption key or any other setting that is critical in restoring your data, Remote Backup will prompt you with one or more messages indicating an action you should take.

When prompted to create an updated encryption key file, answer Yes. Remote Backup will place the key recovery files on the device you select. Select a diskette drive or a network drive to store the Key Files away from the computer they protect.

This screen will be displayed, indicating the file name(s) that were created.

These are the critical Key Files that you can use to do a full Disaster Recovery. You can also input information directly from the keyboard, copied from the Print Key form.

Performing a Disaster Recovery

First, Re-install Remote Backup

The first thing to do is to re-install Remote Backup. When Remote Backup is installed on a computer that it hasn't been previously installed on, OR on a hard drive that has been damaged and repaired, this prompt will display.

If your are going to perform a Disaster Recovery, select the Disaster Recovery button.

If you have a Key File, answer YES. If you don't have the Key File, skip to What if I Don't Have the Key File? below.

Your Key File(s) were saved from a previous installation of Remote Backup. When you were given an opportunity to save them, you might have saved them to another location on the hard drive, or on a network drive, or on a removable drive.

Select the location of the Key File.

The following screen will appear. It will be populated with the information from the Key File. Click NEXT.

Remote Backup will read the Key Files, then automatically contact the RBS Server and download its latest catalog. It will then set itself up exactly as it was before your computer crash and you will be able to use the Restore Files options to restore your files.

What if I Don't Have the Key File?

You can still recover your data if you printed the Print Key form from your recently deceased installation of Remote Backup.

This form contains all the information you will need to recover your last installation of Remote Backup, and then your files.

From the printed Print Key form, enter the User Name (be careful - this is case-sensitive) and the Password (also case-sensitive). Select the Encryption Method.

The Encryption Key can be entered in one of two formats: ASCII or Hexadecimal. We recommend entering the Hexadecimal version of the Encryption Key.

Enter the Hexadecimal version of the Encryption Key from the Print Key form.

Press the NEXT button.

If you entered the correct information, the client interface will be loaded automatically.


How_BitBackup_Workshtm

How BitBackup Works

How BitBackup Works

BitBackup technology can do backups and restores many times faster than traditional methods while using far less storage space on the RBS Server by backing up only the small parts of files that have changed since the last full backup. It's local Data Store insures that multiple copies of the most recent backup files are maintained for added safety and failsafe operation.

BitBackup results in a reduction in backup size by an average of 99.77%

BitBackup's Local Data Store

BitBackup maintains copies of the most recent versions of the files it backs up to the RBS Server in a local Data Store. Restoring from the local Data Store is automatic and VERY fast - the speed of the local Network or disk buss. The most common restores are done from the local Data Store instead of from the RBS Server.

BitBackup is far more reliable and failsafe than traditional online backup methods. It's local Data Store acts as a "hot spare" for backups, mirrored to the RBS Server. Restores are done first from the local Data Store, and fail over to the RBS Server only if the requested files are not available in the local Data Store.

Restores done from the local Data Store do not contact the RBS Server at all, and do not require an Internet connection. Therefore, in an emergency that takes the RBS Server offline, or brings down the Client's Internet connection, restores from the local Data Store can still be done.

The local Data Store can be maintained on each local computer, or it can be shared by all computers in a network on a network device.

Backups with BitBackup

The first time a file is backed up using BitBackup technology, the entire file is backed up to the RBS Server, and a snapshot of the file is stored in the local Data Store.

Subsequent BitBackups of the same file compare the most current "live" version of the file to the snapshot stored in the local Data Store. Copies of the changes between the two files (called Patches) are created and backed up to the RBS Server.

Since these Patches contain only the changes made to the "live" file since the Reference File was made, they are often very small - just a few words or a paragraph out of a large document.

Patches are cumulative. Every patch has the ability to restore a file from the date of the most current Reference copy to the date of the Patch. Thus, BitBackup technology needs only one patch and one Reference copy to restore a file to any point in time.

Since Patches are cumulative, they tend to grow larger with time. At some point in time a Patch may approach the size of the original file, if that file is modified frequently. When that happens, BitBackup technology refreshes the Reference file in the local Data Store and on the RBS Server through a process called Roll-Forward. This reduces the size of the Patches to their minimum size again.

Thresholds for Roll-Forward can be set in two ways - by number of backups since the most recent full-file backup, or by the size of the Patch relative to the Reference file. When one of these thresholds is reached, BitBackup technology performs another full-file backup and (depending on the Purge/Retention Settings) erases the previous full-file backup, all its Patches, and the older Reference copy stored in the local Data Store.

BitBackup's Roll-Forward procedure is fully compliant with all the Purge/Retention Settings that are used with Incremental, Differential, and Full backup methods.

Restoring Files with BitBackup

From a user's perspective, restoring files with BitBackup works the same way as the other backup methods, only much faster. From a technical perspective, however, it is quite different.

BitBackup first determines which files are needed to restore a full file by determining the Patch file needed to restore the selected version. It then looks up the Patch file and its associated Reference file in the local Data Store.

If both the Reference file and the Patch exist in the local Data Store, BitBackup restores them from the local Data Store without downloading them from the RBS Server. If they are not the correct versions (or they don't exist in the local Data Store), BitBackup downloads the correct versions from the RBS Server.

If the correct version of the Reference file exists in the local Data Store, but the correct version of the Patch does not, BitBackup downloads only the Patch from the RBS Server.

BitBackup then applies the Patch to the Reference file, converting it to a full file of the selected version, and copies it into its original location, or an alternate location if selected.

BitBackup Efficiency

The following table illustrates some typical file types and the tested percentage of file size reduction using BitBackup. Your actual results may vary, depending on many factors including the type of data stored, the number and size of changes applied, various user-controlled settings in the software, pre-backup file processing by applications out of Remote Backup's control, and the methods used by application software to modify the target files.

Because there are so many variables that can affect the size of BitBackup backups, RBS cannot guarantee that you will achieve these results.